cutlass::TypeTraits< int > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef int | host_type
typedef int | device_type
typedef int32_t | integer_type
typedef uint32_t | unsigned_type

## Static Public Member Functions

static int32_t | remove_negative_zero (int32_t x)
static int | to_print (int x)
static device_type | to_device (host_type x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_32I

## Member Typedef Documentation

typedef int cutlass::TypeTraits< int >::device_type

typedef int cutlass::TypeTraits< int >::host_type

typedef int32_t cutlass::TypeTraits< int >::integer_type

typedef uint32_t cutlass::TypeTraits< int >::unsigned_type

## Member Function Documentation

static int32_t cutlass::TypeTraits< int >::remove_negative_zero | ( | int32_t | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< int >::to_device | ( | host_type | x | ) |

inlinestatic

static int cutlass::TypeTraits< int >::to_print | ( | int | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< int >::cublas_type = CUDA_R_32I

static

The documentation for this struct was generated from the following file:

- type_traits.h